tigase.jaxmpp.core.client.xmpp.modules.muc

## Class MucModule.InvitationDeclinedHandler.InvitationDeclinedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<MucModule.InvitationDeclinedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.muc.MucModule.InvitationDeclinedHandler.InvitationDeclinedEvent

- Enclosing interface:
    MucModule.InvitationDeclinedHandler

      public static class MucModule.InvitationDeclinedHandler.InvitationDeclinedEvent
      extends JaxmppEvent<MucModule.InvitationDeclinedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvitationDeclinedEvent(SessionObject sessionObject, Message message, Room room, JID inviteeJID, String reason)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(MucModule.InvitationDeclinedHandler handler)` Invokes handlers method.
    `JID` | `getInviteeJID()`
    `Message` | `getMessage()`
    `String` | `getReason()`
    `Room` | `getRoom()`
    `void` | `setInviteeJID(JID inviteeJID)`
    `void` | `setMessage(Message message)`
    `void` | `setReason(String reason)`
    `void` | `setRoom(Room room)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvitationDeclinedEvent

          public InvitationDeclinedEvent(SessionObject sessionObject,
                                         Message message,
                                         Room room,
                                         JID inviteeJID,
                                         String reason)

  - ### Method Detail

    - #### dispatch

          public void dispatch(MucModule.InvitationDeclinedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<MucModule.InvitationDeclinedHandler>`
      Parameters:
        `handler` - handler

    - #### getInviteeJID

          public JID getInviteeJID()

    - #### setInviteeJID

          public void setInviteeJID(JID inviteeJID)

    - #### getMessage

          public Message getMessage()

    - #### setMessage

          public void setMessage(Message message)

    - #### getReason

          public String getReason()

    - #### setReason

          public void setReason(String reason)

    - #### getRoom

          public Room getRoom()

    - #### setRoom

          public void setRoom(Room room)

Copyright © 2006–2020 Tigase. All rights reserved.